
//*****************************************************************************
//
// File Name	: 'global.h'
// Title		: AVR project global include 
// Author		: Pascal Stang
// Created		: 7/12/2001
// Revised		: 9/30/2002
// Version		: 1.1
// Target MCU	: Atmel AVR series
// Editor Tabs	: 4
//
//	Description : This include file is designed to contain items useful to all
//					code files and projects.
//
// This code is distributed under the GNU Public License
//		which can be found at http://www.gnu.org/licenses/gpl.txt
//
//*****************************************************************************

#ifndef GLOBAL_H
#define GLOBAL_H

// default network setup. is active as long as dhcp isn't responding
#define IPADDRESS	IPDOT(192l,168l,1l,111l)
#define NETMASK		IPDOT(255l,255l,255l,0l)
#define GATEWAY		IPDOT(0l,0l,0l,0l)

// global AVRLIB defines
#include "avrlibdefs.h"
// global AVRLIB types definitions
#include "avrlibtypes.h"

#include "ledmatrix.h"

// max packet size: all headers, command byte and display data
#define NETSTACK_BUFFERSIZE (1 + DSP_MEM + IP_HEADER_LEN + UDP_HEADER_LEN + ETH_HEADER_LEN)

// project/system dependent defines
//#define UART_USE_UART1
//#define ARP_DEBUG_PRINT
//#define ICMP_DEBUG_PRINT

// CPU clock speed
#define F_CPU        16000000               		// 16MHz processor

// CYCLES_PER_US is used by some short delay loops
#define CYCLES_PER_US ((F_CPU+500000)/1000000) 	// cpu cycles per microsecond

void display_ip(u32 ip);

#endif
